Как мне установить зависимости, которые мне нужны для MySQL :: Slurp?

Я пытаюсь установить утилиту mysqlslurp, найденную в MySQL :: Slurp .

Я обнаружил, что это требует Moose, и поэтому я также установил этот пакет.

Но я все еще не могу использовать mysqlslurpкоманду. Я получаю ошибку:

Can't locate Moose.pm in @INC (@INC contains: /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi 
.....

BEGIN failed--compilation aborted at /usr/bin/mysqlslurp line 4.
13.10.2009 05:13:27
да. 64-битная, но редхатная версия для 32-битной
shantanuo 13.10.2009 10:23:19
Использовали ли вы оболочку CPAN / CPANPLUS для установки модулей?
Alexandr Ciornii 13.10.2009 17:17:30
2 ОТВЕТА

Похоже, Moose не установлен в пути включения Perl. Возможно, вам придется указать путь с помощью use lib- см. В этой статье, как.

2
13.10.2009 10:43:44

Если вы устанавливаете свои модули с CPAN.pm (или другими клиентами CPAN), вам не нужно обрабатывать зависимости самостоятельно:

 % cpan MySQL::Slurp

Как вы установили свои модули? Где вы их установили?

2
5.04.2012 02:12:13